summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-09-22 07:21:10 +0200
committerHans de Graaff <graaff@gentoo.org>2017-09-22 07:21:10 +0200
commit8b6956e22a969061e574493d1d284f4691779cbb (patch)
treea984b339483202368a4db6e914fe97466f03c4d6 /dev-ruby/test-unit
parentapp-eselect/eselect-repository: Bump to v1 (diff)
downloadgentoo-8b6956e22a969061e574493d1d284f4691779cbb.tar.gz
gentoo-8b6956e22a969061e574493d1d284f4691779cbb.tar.bz2
gentoo-8b6956e22a969061e574493d1d284f4691779cbb.zip
dev-ruby/test-unit: add 3.2.6
Package-Manager: Portage-2.3.8, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/test-unit')
-rw-r--r--dev-ruby/test-unit/Manifest1
-rw-r--r--dev-ruby/test-unit/test-unit-3.2.6.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/test-unit/Manifest b/dev-ruby/test-unit/Manifest
index d2cf56bb288..b3e5215b199 100644
--- a/dev-ruby/test-unit/Manifest
+++ b/dev-ruby/test-unit/Manifest
@@ -3,3 +3,4 @@ DIST test-unit-2.5.5.gem 111104 SHA256 3216d6584293964c438e0573fa8f0273d12df2abb
DIST test-unit-3.1.9.gem 124416 SHA256 3efe0e17e4bc9880ada13515198531f6101bf6d03c5e5556f53cc72b45c33aec SHA512 ec3068db7faceb5c6a3f3a848512aa76ec2e360a2a1ca7ec45fd6c1b84f45f04fb1b4d77120dfde7b0a41e4a8435fa37ba6550e4242e3817d344b3ca8d7b4428 WHIRLPOOL 715cd547da273b6384a5f6191d2d80c26a1044ff94639cd4bdfd9a80553e026522e495683323572be41081dbad1f35fcab20b6b4c98a9f65ac576c8682e088f7
DIST test-unit-3.2.4.gem 128000 SHA256 470fe5e582650ea485c7a5c2242fc9b6dc2018d9aa11dab1662a3b672919ab26 SHA512 e2ff209c9aef1b01c14a9dcea0c07d22fdc302cb42d68ffa8dd98d64dc444252ee746c3f3a2ad6ff4651c176d84d1b862e037a8a140c078b7f142a624115d3c7 WHIRLPOOL 96f0be0e15e9492ee9370c1562b7f987f35125058d6b66eb55cfa3bb72d50967025216f65695b357396df223539bad9a6aa1a19a5e133ab6355f5dc8fb4c6b4b
DIST test-unit-3.2.5.gem 128512 SHA256 a230fc4f832ca770bf0bdcd82dd6e83f48fb24cf4e6e883bf83806c09d197d15 SHA512 4c2efa61893d20d593c3b4ab620219c4540f04abd8566c4448e17f50727a955188d76e2d09759f7829b4587c40369a2b7419bf13315537cea7da8bb95c795ab0 WHIRLPOOL 5925a10923d864a2750d965589eca8f2eaed14839cbe56b492606f767368e87e85a37e3586e60e6f5cb3287cc6d1b45cfb56f53c4cd8a8c144e2823ff690f208
+DIST test-unit-3.2.6.gem 128512 SHA256 db329c4721e02964d63f0c78a99f71c7341e8dc5a4f41f14a856fb659a5885be SHA512 4731f40a0c7ef855892a308470ccf005d31518122b0431b44406e627957819c9fb6a00eaca970e5914626e2ed12a4f6801e90df2ffc2762085fa414ea2203d7e WHIRLPOOL 31caec7a087de173fc8fde354a3c9efb88481d94c8465a4cad8fe209b27af47cc98dd1e5b623bd206fbd77f5d9a4355f4578ee8d12ab77877c886afe2f36b303
diff --git a/dev-ruby/test-unit/test-unit-3.2.6.ebuild b/dev-ruby/test-unit/test-unit-3.2.6.ebuild
new file mode 100644
index 00000000000..e4074665c4c
--- /dev/null
+++ b/dev-ruby/test-unit/test-unit-3.2.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md doc-install/text/*.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An xUnit family unit testing framework for Ruby"
+HOMEPAGE="https://rubygems.org/gems/test-unit"
+
+LICENSE="|| ( Ruby GPL-2 ) PSF-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "dev-ruby/power_assert"
+
+all_ruby_prepare() {
+ mv doc doc-install || die "moving doc directory out of the way failed"
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die "testsuite failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ newbin "${FILESDIR}"/testrb-3 testrb-2
+}